;==========Shift_Screen by Donald Straney==========
;
;29 bytes/cycles depend on window height
;Inputs: hl-Pointer to start of graphics buffer (or screen)
;		 b-Number of lines to shift
;
;Outputs: Image in buffer rotated 1 byte to the right
;

Shift_Screen:
	push bc
	push hl
	ld de,15
	add hl,de
	ld a,(hl)
	ld (Shift_Patch),a
	push hl
	pop de
	dec hl
	ld bc,15
	lddr
	pop hl
Shift_Patch	equ	$+1
	ld (hl),0
	ld bc,16
	add hl,bc
	pop bc
	djnz Shift_Screen
	ret

.end